### Method

# St ThemeNode get_shadow

#### Declaration [src]

    StShadow*
    st_theme_node_get_shadow (
      StThemeNode* node,
      const char* property_name
    )

#### Description [src]

Generically looks up a property containing a set of shadow values. When specific getters (like st_theme_node_get_box_shadow()) exist, they should be used instead. They are cached, so more efficient, and have handling for shortcut properties and other details of CSS.

Like st_theme_get_length(), this does not print a warning if the property is not found; it just returns `NULL`

See also st_theme_node_lookup_shadow (), which provides more options.

#### Parameters

`property_name`

  Type: `const char*`

  The name of the shadow property.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `StShadow`

The shadow, or `NULL` if the property was not found.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.